Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/perl-apache-session-browseable: new aport

From: <x.guimard_at_free.fr>
Date: Wed, 25 Nov 2015 20:16:11 +0000

From: Xavier Guimard <x.guimard_at_free.fr>

https://metacpan.org/pod/Apache::Session::LDAP
Browseable implementation of Apache::Session
---
 testing/perl-apache-session-browseable/APKBUILD | 39 +++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/perl-apache-session-browseable/APKBUILD
diff --git a/testing/perl-apache-session-browseable/APKBUILD b/testing/perl-apache-session-browseable/APKBUILD
new file mode 100644
index 0000000..9e07674
--- /dev/null
+++ b/testing/perl-apache-session-browseable/APKBUILD
_at_@ -0,0 +1,39 @@
+# Maintainer: Xavier Guimard <x.guimard_at_free.fr>
+pkgname=perl-apache-session-browseable
+_pkgreal=Apache-Session-Browseable
+pkgver=1.1
+pkgrel=0
+pkgdesc="An implementation of Apache::Session"
+url="https://metacpan.org/pod/Apache::Session::LDAP"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-apache-session"
+cpanmakedepends="perl-module-build-tiny perl-dbd-sqlite perl-dbi"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="https://cpan.metacpan.org/authors/id/C/CO/COUDOT/Apache-Session-Browseable-1.1.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Build.PL --installdirs vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	./Build && ./Build test
+}
+
+package() {
+	cd "$_builddir"
+	./Build install --destdir "$pkgdir" || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="49be2eb67e029c78344149ab20815eec  Apache-Session-Browseable-1.1.tar.gz"
+sha256sums="d71924fe9b10bec196f680008fb94451b59348a6ff64e04d12c2b8ef14a178e3  Apache-Session-Browseable-1.1.tar.gz"
+sha512sums="0b5cca3963179127bb988cfa4c8dd1db58256285a1b1120b99b2688aa5dbbad3e2d92c3d70acccf66d3c83ae232158978dbdbfb72d158c6af597dbbaa754c279  Apache-Session-Browseable-1.1.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Nov 25 2015 - 20:16:11 GMT